type t =
	| Text of string
	| Bold of t list
	| Emphasis of t list
	| Italic of t list
	| Plain of t list
	| Strong of t list
	| Typewriter of t list
	| Underline of t list
	| Size of int * t list
	| Red of t list
	| Green of t list
	| Blue of t list
	| Cyan of t list
	| Magenta of t list
	| Yellow of t list
	| Black of t list
	| White of t list


(* Pretty-print a [t list] into a string *)
val print_t: t list -> string
